<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:fitsSystemWindows="true"
    android:orientation="vertical">

    <include
        android:id="@+id/include"
        layout="@layout/layout_common_toolbar" />

    <RelativeLayout
        android:id="@+id/search_container"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:paddingStart="20dp"
        android:paddingEnd="@dimen/dp20">

        <TextView
            android:id="@+id/btn_header_right"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:padding="@dimen/dp5"
            android:text="取消"
            android:textSize="14sp" />

        <EditText
            android:id="@+id/et_search_key"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_centerVertical="true"
            android:layout_marginEnd="15dp"
            android:layout_toStartOf="@id/btn_header_right"
            android:background="@drawable/bg_store_search"
            android:drawableStart="@drawable/icon_search"
            android:drawablePadding="@dimen/dp5"
            android:gravity="center_vertical"
            android:hint="输入街道、小区、大厦名称"
            android:imeOptions="actionSearch"
            android:singleLine="true"
            android:textSize="16sp" />

        <ImageView
            android:id="@+id/iv_clear"
            android:layout_width="@dimen/dp24"
            android:layout_height="@dimen/dp24"
            android:layout_alignEnd="@id/et_search_key"
            android:layout_centerVertical="true"
            android:layout_marginEnd="@dimen/dp10"
            android:src="@drawable/bcommon_icon_clear"
            android:visibility="gone" />

    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="#f2f2f2" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/poi_search_list"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        tools:listitem="@layout/item_store_address" />

    <com.yidian.bcommon.widget.CommonEmptyPageView
        android:id="@+id/pv_empty_page"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"
        app:CommonEmptyPageView_empty_content_text="@string/no_stores"
        app:CommonEmptyPageView_empty_tips_text="请输入关键字进行搜索"
        app:CommonEmptyPageView_place_holder_img="@drawable/img_empty_place_holder" />


</LinearLayout>